#!/bin/sh

# Print Usage
if [ $# -ne 1 ]; then                      
	echo "Usage: `basename $0` <Hugin file>"
        exit 127                       
	# exits with a non-zero error (127 is ASCII for esc)
fi

# Home directory is where shell script resides
homedir=`dirname $0`

# Call Perl Script to transform Hugin file to PTMac file
perl $homedir/pto2ptmac.pl "$1" $homedir/PTMacProjectTemplate.ptm